Best of Technical Support

Our experts answer your technical questions.
Tuning the Kernel to Recognize RAM

How do I get Linux to recognize more than 64MB of RAM? I presume I may need to tune the kernel. How do I do this? —Edward Longstrom

Forcing the Issue from LILO

The reason Linux does not recognize more than 64MB of RAM is actually related to limitations in BIOS. You can force the issue from LILO with an argument of mem=??M, where ?? is the amount of physical RAM in the machine and M stands for Megabytes. To make this automatic, add that line to the block defining the specifics for each boot (image) configuration. —Dan Lark, SuperNet of Las Cruces, Inc

Kernel Doesn't Recognize CD-ROM

I have a Toshiba XM-series CD-ROM that is not recognized by the kernel. I thought it was a standard IDE/ATAPI drive. What could be causing this? —Scott Herscher

Command Line Parameters

First, make sure your CD-ROM is connected to a primary or secondary IDE interface. Kernel 1.2.13 will not see tertiary interfaces. Then you may need to give it command line parameters to have the kernel find it. Here is a chart:Primary Interface - Master: hdaPrimary Interface - Slave: hdbSecondary Interface - Master: hdcSecondary Interface - Slave: hddUse the “hd” parameter for your actual device, based on the chart above, to boot with a command like:

LILO boot: linux hdd=cdrom

If you don't know how the CD-ROM is connected, it is safe to try them all. You can then add this as an append line to your lilo.conf. An example would be:


Make sure to run /sbin/lilo after editing the file. —Donnie Barnes, Red Hat Software

Netscape 2.02 and Linux

Are there any FAQs about setting up Netscape 2.02 with Linux? After you unzip Netscape where do you put the files? When I set up Netscape 2.02 it gives me the error message cannot find Any ideas? —Marc A. Krushelnyski

Upgrade Recommended

First of all, I recommend using 3.0. You can get an ELF version that won't take up nearly as much memory and won't cause the missing library problem you mention. Second, the README that comes with Netscape tells you where to put the files. I'd put the Netscape binary in /usr/local/bin, then put the zip file in the recommended location. —Donnie Barnes, Red Hat Software

PPP Error Message

I installed PPP support from the control panel, but when I want to access the pppd in /usr/sbin I get the message THERE IS NO PPP SUPPORT IN THIS SYSTEM. I tried to install ppp-2.2.0f.tar.gz to see if that would help, but it didn't. I checked the /proc/net/dev file with a cat command but all I saw was a column of:


and so on with many zeros. What must be done to correct this problem? —Dominik Barth

Installation Error?

You either didn't install ppp-2.2.0f properly, or you didn't compile PPP support into the kernel. A standard distribution kernel should have PPP compiled in, so I would guess your pppd install went wrong.Most likely, you either didn't make install, didn't do make install as root, or your old pppd binaries live in a different place from your new pppd binaries and the path for the old binaries comes before the newer one in your PATH environment variable. —Bert Vermeulen

Simple Dialup Program

I cannot set up pppd to connect to my ISP. Chat script is simple in principle but in reality it is impossible to decode and make work. Is there a simple dialup program, preferably in X-Windows, that will solve this problem? —Ken Kim